# buildConfig-dul-nutch.yaml
---
apiVersion: build.openshift.io/v1
kind: BuildConfig
metadata:
  labels:
    build: dul-nutch
  name: dul-nutch
spec:
  source:
    type: Git
    git:
      uri: https://gitlab.oit.duke.edu/dul-its/dul-nutch.git
  strategy:
    type: Source
    sourceStrategy:
      from:
        kind: ImageStreamTag
        name: apache-nutch-builder:1.18
  output:
    to:
      kind: ImageStreamTag
      name: dul-nutch:1.0
  triggers:
  - type: ConfigChange
  - imageChange:
      type: ImageChange

